<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>S05: HTML Tables and Forms</title>
	</head>
	<body>

		<!-- DIV creates a container element user to group HTML elements -->
		<!-- div id="header" or header element is used for Search Engine Optimization (SEO) -->
		<header>
			<h1> HTML Tables and Forms</h1>
		</header>

		<!-- DIV Main -->
		<main>

			<!-- DIV Section for Table -->
			<section>
				<h2>HTML Entities</h2>
				<p><em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code.)</em></p>

				<!-- table to create an HTML Table -->
				<table border="1">

				<!-- thead to group table heading content -->
				<thead>

					<!-- tr for table row -->
					<tr>

						<!-- Defines a table header element -->
						<th colspan="2">Entity</th>
						<th>Description</th>
					</tr>
				</thead>

				<!-- tbody to group table body content -->
				<tbody>
					
					<!-- Row 1 -->
					<tr>
						<!-- td for table data element -->
						<td>&lt;</td>
						<td>lt</td>
						<td>Less Than</td>
					</tr>

					<!-- Row 2 -->
					<tr>
						<td>&gt;</td>
						<td>gt</td>
						<td>Greater Than</td>
					</tr>

					<!-- Row 3 -->
					<tr>
						<td>&#8369;</td>
						<td>#8369</td>
						<td>Peso Sign</td>
					</tr>

					<!-- Row 4 -->
					<tr>
						<td>&amp;</td>
						<td>amp</td>
						<td>Ampersand</td>
					</tr>

					<!-- Row 5 -->
					<tr>
						<td>&quot;</td>
						<td>quot</td>
						<td>Double Quotation Marks</td>
					</tr>

					<!-- Row 6 -->
					<tr>
						<td>&apos;</td>
						<td>apos</td>
						<td>Single Quotation Mark</td>
					</tr>

					<!-- Row 7 -->
					<tr>
						<td>&ntilde;</td>
						<td>ntilde</td>
						<td>Lower Tilde</td>
					</tr>

					<!-- Row 8 -->
					<tr>
						<td>&utilde;</td>
						<td>utilde</td>
						<td>Upper Tilde</td>
					</tr>
				</tbody>

				<!-- tfoot  to group table footer content -->
				<tfoot>
					<tr>
						<th colspan="3">List of HTML Entities</th>
					</tr>
				</tfoot>
				</table>
			</section>

			<!-- DIV Section for Forms -->
			<section id="section">
				<h2>HTML Forms</h2>
				<p><em>Input elements that make up a form.</em></p>	
				
				<!-- form to create an HTML form to capture user input -->
				<form action="https://google.com">

				<!-- Input Tags -->
				<!-- label creates a label and allows for input field -->
				<label for="full_name">Full Name:</label>

				<!-- input creates an input field to capture user input -->
				<input type="text" name="full_name" id="full_name" required>
				<br><br>

				<label for="birth_date">Birthdate:</label>
				<input type="date" name="birth_date" id="birth_date" required>
				<br><br>

				<label for="age">Age:</label>
				<input type="number" name="age" id="age" required>
		 		<br><br>

		 		<!-- Select Tags -->
		 		<label for="gender">Gender:</label>
		 		<select name="gender" id="gender">
		 			<option>Select</option>
		 			<option value="Male">Male</option>
		 			<option value="Female">Female</option>
		 		</select>
		 		<br><br>

		 		<label for="notes">Notes:</label>
		 		<br>
		 		<!-- textarea creates a textarea for user input in paragraph -->
		 		<textarea name="notes" id="notes" rows="5"></textarea>
		 		<br><br>


				<!-- Radio Tags -->
		 		<label>New User:</label>
		 		<br>
		 		<input type="radio" name="new_user" id="user-type1">
		 		<label for="user-type1">Yes</label>
		 		<br>
		 		<input type="radio" name="new_user" id="user-type2">
		 		<label for="user-type2">No</label>
		 		<br><br>

		 		<!-- Checkbox Tags -->
		 		<label>Role:</label>
		 		<br>
		 		<!-- Role 1 -->
		 		<input type="checkbox" name="role1" id="role1" value="developer">
		 		<label for="role1">Developer</label>
		 		<br>

		 		<!-- Role 2 -->
		 		<input type="checkbox" name="role2" id="role2" value="student">
		 		<label for="role1">Student</label>
		 		<br>

		 		<!-- Role 3 -->
		 		<input type="checkbox" name="role3" id="role3" value="manager">
		 		<label for="role1">Manager</label>
		 		<br>

		 		<br><br>
				<!-- type="button" creates a button element that will submit the form data -->
				<button type="submit">Submit</button>

				<!-- button="reset" Creates a button to reset the form data -->
				<button type="reset">Reset</button>
				</form>
			</section>
		</main>


	</body>
</html>